Bug 1121410 - [AAA] Get users by domain returns partial list of users
Summary: [AAA] Get users by domain returns partial list of users
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: oVirt-AAA-rewrite
TreeView+ depends on / blocked
 
Reported: 2014-07-20 15:03 UTC by Nelly Credi
Modified: 2016-02-10 19:33 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:55 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30544 master MERGED aaa: Get users by domain returns partial list of users Never
oVirt gerrit 30557 ovirt-engine-3.5 MERGED aaa: Get users by domain returns partial list of users Never

Description Nelly Credi 2014-07-20 15:03:47 UTC
Description of problem:
Only partial list of users is returned when querying domain users

Version-Release number of selected component (if applicable):
3.5

How reproducible:
100%

Steps to Reproduce:
1. Add AD to engine.
2. Check url https://engine/ovirt-engine/api/domains/UUID/users

Actual results:
only partial list of users is returned (123 users from my LDAP - qa internal)

Expected results:
1553 users are returned in 3.4

Additional info:

Comment 1 Alon Bar-Lev 2014-07-21 07:19:43 UTC
which provider have you used? how have you set up the active directory? what user? what file? something that will enable others to reproduce.

Comment 2 Eyal Edri 2014-07-21 12:38:44 UTC
removing AutomationBlocker keyword - please add link to automtion job failure if this is the case.

Comment 3 Alon Bar-Lev 2014-07-21 14:48:33 UTC
# engine-manage-domains add --domain=qa.lab.tlv.redhat.com --user=vdcadmin --add-permissions --provider=ActiveDirectory --ldap-servers=qa1.qa.lab.tlv.redhat.com'
pass:12345

Comment 4 Alon Bar-Lev 2014-07-21 17:56:26 UTC
QA note: 3.5.0 will not return more than 1000 results out of search. this was done in order to avoid exhausting all available memory to the java process. in such cases the user should refine his filter.

Comment 5 Nelly Credi 2014-08-24 11:59:04 UTC
test was fixed based on the new behavior
verified in verified in ovirt-3.5.0_rc1.1

Comment 6 Sandro Bonazzola 2014-10-17 12:34:55 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.